﻿using System;
using System.Configuration;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.WinForms;

namespace ThinkGeo.MapSuite.Layers
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           
        }

        private static WorldStreetsLayer GetLayerByDatabaseType()
        {
            return new WorldStreetsLayer(ConfigurationManager.AppSettings["SqliteConnectionString"]);
        }

        private void winformsMap1_Click(object sender, EventArgs e)
        {
            var extent = winformsMap1.CurrentExtent;
        }

        private void offlineToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (usrMAPCtrl != null)
            {
                usrMAPCtrl.Visible = false;
            }
            if (winformsMap1 != null)
            {
                try
                {
                    // Create our new OsmWorldMapKit Layer
                    WorldStreetsLayer osmWorldMapKitLayer = GetLayerByDatabaseType();
                    osmWorldMapKitLayer.Open();

                    // Setup the overlay
                    LayerOverlay layerOverlay = new LayerOverlay();
                    layerOverlay.Layers.Add(osmWorldMapKitLayer);

                    // Setup the map
                    winformsMap1.MapUnit = GeographyUnit.Meter;
                    winformsMap1.CurrentExtent = new RectangleShape(-10811578.0703145, 3892111.87754448, -10736211.3489208, 3839905.51779612);
                    winformsMap1.BackgroundOverlay.BackgroundBrush = new GeoSolidBrush(GeoColor.FromArgb(255, 172, 205, 226));

                    // Add the overlay to the map
                    winformsMap1.Overlays.Add("worldmapkit", layerOverlay);

                    osmWorldMapKitLayer.Open();
                    winformsMap1.CurrentExtent = osmWorldMapKitLayer.Layers[7].GetBoundingBox();

                    winformsMap1.Refresh();
                }
                catch(Exception objEx)
                {
                    MessageBox.Show(objEx.Message);
                }

            }
            winformsMap1.Visible = true;
        }
         AxMapPoint.AxMappointControl usrMAPCtrl=null;
         private void mapPointToolStripMenuItem_Click(object sender, EventArgs e)
         {
             if (usrMAPCtrl == null)
             {
                 usrMAPCtrl = new AxMapPoint.AxMappointControl();

                 //If we are doing any UI related updated before the control gets loaded it need
                 //to STOP doing the layout
                 this.SuspendLayout();

                 //	System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(KPIWinMAP));
                 //	usrMAPCtrl.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("usrMAPCtrl.OcxState")));

                 //usrMAPCtrl.ContainingControl = this;
                 usrMAPCtrl.Dock = System.Windows.Forms.DockStyle.Fill;
                 usrMAPCtrl.Enabled = true;
                 usrMAPCtrl.Location = new System.Drawing.Point(0, 0);
                 usrMAPCtrl.Name = "usrMAPCtrl";
                 usrMAPCtrl.Size = new System.Drawing.Size(442, 500);
                 usrMAPCtrl.TabIndex = 0;
                 //usrMAPCtrl.MouseMoveEvent +=
                 //    new AxMapPoint._IMappointCtrlEvents_MouseMoveEventHandler(usrMAPCtrl_MouseMoveEvent);
                 //usrMAPCtrl.BeforeClick +=
                 //    new AxMapPoint._IMappointCtrlEvents_BeforeClickEventHandler(usrMAPCtrl_BeforeClick);
                 //usrMAPCtrl.MouseDownEvent +=
                 //    new AxMapPoint._IMappointCtrlEvents_MouseDownEventHandler(usrMAPCtrl_MouseDown);
                 //Resume with FALSE option will avoid doing layout rightaway and delay till the actual control loads
                 this.ResumeLayout(false);

                 //CRM#19752 - Naren - 02/14/2012 - show driving directions in Miles
                 // Ensure we're working in miles

                
                 this.Controls.Add(usrMAPCtrl);

                 usrMAPCtrl.Units = MapPoint.GeoUnits.geoMiles;

                 usrMAPCtrl.NewMap(@"C:\Program Files (x86)\Microsoft MapPoint 2013\Samples\SampleTemplate.ptt");

                 //Getting the active MAP object
                 MapPoint.Map oMap = usrMAPCtrl.ActiveMap;
                 oMap.Altitude = 7;

                 try
                 {
                     //Loading the initial city location not mandatory fucntion - 
                     //just to show the city if no pins are present
                     MapPoint.FindResults oResults = oMap.FindAddressResults("", "", "", "NJ", "08057", 244);
                     System.Collections.IEnumerator item = oResults.GetEnumerator();

                     item.Reset();
                     if (item.MoveNext())
                         oMap.Location = ((MapPoint.Location)item.Current);
                 }
                 catch (Exception)
                 {
                 }

                 usrMAPCtrl.ActiveMap.Saved = true;

                 
             }
             usrMAPCtrl.Visible = true;
             winformsMap1.Visible = false;
         }
    }
}